using CoreLibrary.Core;
using CoreLibrary.Events;
using Xunit;

namespace UnitTesting
{
    public class ConstruireJoueurEventArgsUT
    {
        [Fact]
        public void TestConstructeurValide()
        {
            ConstruireJoueurEventArgs evenement = new ConstruireJoueurEventArgs("Bonjour");
            ConstruireJoueurEventArgs evenement2 = new ConstruireJoueurEventArgs(null);

            Assert.Equal("Bonjour", evenement.Nom);
            Assert.Null(evenement2.Nom);
        }

    }
}
